#include "afxwin.h"
#if !defined(AFX_KMLPAGE_H__CE8EFB52_1B9A_4207_9535_6B936382A0C1__INCLUDED_)
#define AFX_KMLPAGE_H__CE8EFB52_1B9A_4207_9535_6B936382A0C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// KmlPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CKmlPage dialog

class CKmlPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CKmlPage)

// Construction
public:
	CKmlPage();
	~CKmlPage();

// Dialog Data
	//{{AFX_DATA(CKmlPage)
	enum { IDD = IDD_KMLPAGE };
	CComboBox	m_KmlLookAtAltitudeMode;
	CComboBox	m_KmlModelAltitudeMode;
	CString	m_KmlFolderName;
	CString	m_KmlFolderDescription;
	CString	m_KmlLookAtLatitudeDegrees;
	CString	m_KmlLookAtLatitudeMinutes;
	CString	m_KmlLookAtLatitudeSeconds;
	BOOL	m_KmlLookAtLatitudeSign;
	CString	m_KmlLookAtLongitudeDegrees;
	CString	m_KmlLookAtLongitudeMinutes;
	CString	m_KmlLookAtLongitudeSeconds;
	BOOL	m_KmlLookAtLongitudeSign;
	CString	m_KmlLookAtRange;
	CString	m_KmlLookAtTilt;
	CString	m_KmlLookAtAltitude;
	CString	m_KmlLookAtHeading;
	CString	m_KmlImagesFolderName;
	CString	m_KmlModelsFolderName;
	BOOL	m_KmlUseImagesFolder;
	BOOL	m_KmlUseModelsFolder;
	CString	m_KmlModelTilt;
	CString	m_KmlModelRoll;
	CString	m_KmlModelAltitude;
	CString	m_KmlModelHeading;
	CString	m_KmlModelLatitudeDegrees;
	CString	m_KmlModelLatitudeMinutes;
	CString	m_KmlModelLatitudeSeconds;
	BOOL	m_KmlModelLatitudeSign;
	CString	m_KmlModelLongitudeDegrees;
	CString	m_KmlModelLongitudeMinutes;
	CString	m_KmlModelLongitudeSeconds;
	BOOL	m_KmlModelLongitudeSign;
	CString	m_KmlPlacemarkName;
	CString	m_KmlPlacemarkDescription;
  CString m_KmlModelScaleX;
  CString m_KmlModelScaleY;
  CString m_KmlModelScaleZ;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CKmlPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CKmlPage)
	afx_msg void OnKmlCopylatitudelongitude();
	afx_msg void OnKmllookatlatitudesign();
	virtual BOOL OnInitDialog();
	afx_msg void OnKmllookatlongitudesign();
	afx_msg void OnKmlmodellatitudesign();
	afx_msg void OnKmlmodellongitudesign();
	afx_msg void OnSelchangeKmllookataltitudemode();
	afx_msg void OnSelchangeKmlmodelaltitudemode();
	afx_msg void OnKmlusemodelsfolder();
	afx_msg void OnKmluseimagesfolder();
	afx_msg void OnKmlgetdatafordll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void Update_KML_Page(void);
  void Display_LookAt_Latitude_Longitude(void);
  void Display_Model_Latitude_Longitude(void);
  void Get_LookAt_Latitude_Longitude(void);
  void Get_Model_Latitude_Longitude(void);
  void Display_Latitude_Longitude_Signs(void);
public:
  afx_msg void OnBnClickedKmlgetdatafromdll();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KMLPAGE_H__CE8EFB52_1B9A_4207_9535_6B936382A0C1__INCLUDED_)
